Bug Hunting Session
Bug 32741 - Windows installation readme files - wrong line terminator
Summary: Windows installation readme files - wrong line terminator
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
3.3.0 RC2
Hardware: Other Windows (All)
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-12-30 06:02 UTC by Kami
Modified: 2011-01-18 14:10 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kami 2010-12-30 06:02:35 UTC
We distribute readme files with Linux style line terminator, that is poorly readable under default Windows (XP) installation - using the .txt associated notepad appliaction.
Comment 1 Yifan Jiang 2010-12-30 19:05:00 UTC
Looks as an enhancement, after all the workaround is Wordpad can do the job.

Hi Tor,

Not sure how do you think if we ship a separate version of readme.txt for Windows? Thanks!
Comment 2 Don't use this account, use tml@iki.fi 2011-01-03 10:46:39 UTC
Fridrich, do you know?
Comment 3 Andras Timar 2011-01-04 02:40:33 UTC
--- readlicense_oo/util/makefile.pmk.orig       2011-01-04 11:37:15.323250000 +0100
+++ readlicense_oo/util/makefile.pmk    2011-01-04 11:33:49.676500000 +0100
@@ -80,6 +80,10 @@
     --stringparam cp1 $(CPUNAME)       --stringparam type text --stringparam lang1 $(@:b:s/readme_//:s/README_//) \
     $< $(MERGEDXRM)

+.IF "$(GUI)"=="WNT"
+    $(PERL) -pi -e 's/\n/\r\n/' $@
+.ENDIF                 # "$(GUI)"=="WNT"
+
 .IF "$(GUI)"=="UNX"
     chmod g+w $(MISC)$/$(GUI)
 .ENDIF                 # "$(GUI)"=="UNX"
Comment 4 Andras Timar 2011-01-18 14:10:00 UTC
I fixed this on master. I also added word wrap at column 75 for better readability.
http://cgit.freedesktop.org/libreoffice/libs-core/commit/?id=ccf26314e5e181d239d3ad1b7f5231dbe50c81e2